# tomcat配置
server:
  port: 8081
  servlet:
    context-path: /cases
    jsp:
      init-parameters:
        development: true # 开发者模式，不加这个修改jsp内容不会实时生效
  tomcat:
    uri-encoding: utf-8
    remoteip:
      remote-ip-header: x-forwarded-for
      protocol-header: x-forwarded-proto
      port-header: X-Forwarded-Port

logging:
  level:
    root: INFO
    com.nbclass: DEBUG
    tk.mybatis: DEBUG
    org.springframework: INFO

spring:
  profiles:
    active: dev # 环境 dev|test|prod
    main:
      allow-bean-definition-overriding: true # 当遇到相同名字bean的时候，是否允许覆盖注册

  thymeleaf:
    # 关闭缓存，相当于调试模式，修改模板直接生效
    cache: false
    mode: LEGACYHTML5
    #enabled: false
  messages:
    encoding: UTF-8
    basename: i18n/messages
    use-code-as-default-message: true
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
    default-property-inclusion: non-null # 响应JSON数据过滤NULL值
  servlet:
    multipart:
      enabled: true # 开启 multipart上传功能
      max-file-size: 100MB # 最大单文件大小
      max-request-size: 200MB # 最大请求大小
      file-size-threshold: 5KB # 文件写入磁盘的阈值
#  mvc:
#    view:
#      prefix: /WEB-INF/
#      suffix: .jsp
#    static-path-pattern: /**

mybatis:
  type-aliases-package: com.nbclass.*.model
  mapper-locations: classpath:mapper/**/*.xml
  configuration:
    # 进行自动映射时，数据以下划线命名，如数据库返回的"order_address"命名字段是否映射为class的"orderAddress"字段。默认为false
    map-underscore-to-camel-case: false
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
mapper:
  mappers: com.nbclass.util.MyMapper
  not-empty: false
  identity: MYSQL
pagehelper:
  helperDialect: mysql
  reasonable: false # 分页参数合理化,启用时，如果参数超出范围也会返回数据，禁用时返回空
  supportMethodsArguments: true
  params: count=countSql

